Bug 966754 - (CVE-2013-2116) CVE-2013-2116 gnutls: out of bounds read in _gnutls_ciphertext2compressed (GNUTLS-SA-2013-2)
CVE-2013-2116 gnutls: out of bounds read in _gnutls_ciphertext2compressed (GN...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130529,repo...
: Security
Depends On: 967090 967091 967092 967093 968447 968448
Blocks: 966934
  Show dependency treegraph
 
Reported: 2013-05-23 17:37 EDT by Tomas Hoger
Modified: 2016-03-04 06:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 03:08:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 709301 None None None Never

  None (edit)
Description Tomas Hoger 2013-05-23 17:37:45 EDT
A flaw was found in the way GnuTLS decrypted TLS record packets when using CBC encryption.  The number of pad bytes read form the packet was not checked against the cipher text size, resulting in an out of bounds read.  This could cause a TLS client or server using GnuTLS to crash.

This problem was introduced by a fix for Lucky 13 issue CVE-2013-1619, released in Red Hat Enterprise Linux 5 and 6 via RHSA-2013:0588:
https://rhn.redhat.com/errata/RHSA-2013-0588.html

This issue did not affect GnuTLS 3.x which used different patch for Lucky 13, only patch for 2.x, which did not implement all protections to avoid leak of timing information, contains this bug.

Issue was reported on upstream mailing list:
http://thread.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/6753

Following patch was applied upstream:
https://gitorious.org/gnutls/gnutls/commit/5164d5a1d57cd0372a5dd074382ca960ca18b27d
Comment 9 Tomas Hoger 2013-05-27 08:07:51 EDT
First reported via:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=709301
Comment 10 Tomas Hoger 2013-05-29 12:47:05 EDT
Making bug public.
Comment 11 Tomas Hoger 2013-05-29 14:07:24 EDT
Created mingw-gnutls tracking bugs for this issue

Affects: fedora-all [bug 968448]
Comment 12 Tomas Hoger 2013-05-29 14:07:33 EDT
Created gnutls tracking bugs for this issue

Affects: fedora-all [bug 968447]
Comment 13 Tomas Hoger 2013-05-29 16:55:52 EDT
Upstream advisory GNUTLS-SA-2013-2:
http://www.gnutls.org/security.html#GNUTLS-SA-2013-2
Comment 14 errata-xmlrpc 2013-05-30 14:10:26 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0883 https://rhn.redhat.com/errata/RHSA-2013-0883.html
Comment 15 Fedora Update System 2013-06-11 05:01:02 EDT
mingw-gnutls-2.12.23-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-06-11 05:08:10 EDT
gnutls-2.12.23-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-06-11 05:10:36 EDT
mingw-gnutls-2.12.23-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-06-11 05:19:15 EDT
gnutls-2.12.23-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 errata-xmlrpc 2013-07-16 13:11:53 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:1076 https://rhn.redhat.com/errata/RHSA-2013-1076.html

Note You need to log in before you can comment on or make changes to this bug.